version: "3.4"

# Production environment override
services:
  php:
    build:
      context: ./api
      target: frankenphp_prod
    environment:
      APP_SECRET: ${APP_SECRET}
      MERCURE_PUBLISHER_JWT_KEY: ${CADDY_MERCURE_JWT_SECRET}
      MERCURE_SUBSCRIBER_JWT_KEY: ${CADDY_MERCURE_JWT_SECRET}

  pwa:
    build:
      context: ./pwa
      target: prod

  database:
    environment:
      POSTGRES_PASSWORD: ${POSTGRES_PASSWORD}
